Skip to main content
GET
/
agent
/
{agent_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "name": "<string>",
  "user_id": "<string>",
  "org_id": "<string>",
  "description": "<string>",
  "model_provider": "<string>",
  "model_name": "<string>",
  "system_prompt": "<string>",
  "temperature": 123,
  "max_tokens": 123,
  "first_message": "<string>",
  "first_message_mode": "<string>",
  "voice_provider": "<string>",
  "voice_id": "<string>",
  "voice_model": "<string>",
  "voice_stability": 123,
  "voice_similarity": 123,
  "voice_speed": 123,
  "transcriber_provider": "<string>",
  "transcriber_model": "<string>",
  "transcriber_language": "<string>",
  "background_sound": "<string>",
  "background_sound_url": "<string>",
  "max_duration": 123,
  "silence_timeout": 123,
  "enable_end_call": true,
  "voicemail_detection": true,
  "voicemail_message": "<string>",
  "server_url": "<string>",
  "tool_ids": [
    "<unknown>"
  ],
  "rag_enabled": true,
  "rag_config": {},
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "deleted_at": "<string>",
  "hipaa_compliance": true,
  "audio_recording": true,
  "logging": true,
  "transcript_enabled": true
}

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string<uuid>
required

Response

Successful Response

Full agent object returned by the API.

id
string
required
name
string
required
user_id
string | null
org_id
string | null
description
string | null
model_provider
string | null
model_name
string | null
system_prompt
string | null
temperature
number | null
max_tokens
integer | null
first_message
string | null
first_message_mode
string | null
voice_provider
string | null
voice_id
string | null
voice_model
string | null
voice_stability
number | null
voice_similarity
number | null
voice_speed
number | null
transcriber_provider
string | null
transcriber_model
string | null
transcriber_language
string | null
background_sound
string | null
background_sound_url
string | null
max_duration
integer | null
silence_timeout
integer | null
enable_end_call
boolean | null
voicemail_detection
boolean | null
voicemail_message
string | null
server_url
string | null
tool_ids
any[] | null
rag_enabled
boolean | null
rag_config
Rag Config · object
status
string | null
created_at
string | null
updated_at
string | null
deleted_at
string | null
hipaa_compliance
boolean | null
audio_recording
boolean | null
logging
boolean | null
transcript_enabled
boolean | null